Module com.io7m.jtensors.core
Package com.io7m.jtensors.core.unparameterized.matrices

## Interface MatrixReadable4x4FType

- All Superinterfaces:
    `MatrixReadableFType`
  All Known Subinterfaces:
    `Matrix4x4FType`, `PMatrix4x4FType<A,B>`, `PMatrixReadable4x4FType<A,B>`
  All Known Implementing Classes:
    `Matrix4x4F`, `PMatrix4x4F`

      public interface MatrixReadable4x4FType
      extends MatrixReadableFType

  The type of 4x4 `float`-typed matrices.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `r0c0​()` |
    `float` | `r0c1​()` |
    `float` | `r0c2​()` |
    `float` | `r0c3​()` |
    `float` | `r1c0​()` |
    `float` | `r1c1​()` |
    `float` | `r1c2​()` |
    `float` | `r1c3​()` |
    `float` | `r2c0​()` |
    `float` | `r2c1​()` |
    `float` | `r2c2​()` |
    `float` | `r2c3​()` |
    `float` | `r3c0​()` |
    `float` | `r3c1​()` |
    `float` | `r3c2​()` |
    `float` | `r3c3​()` |
    `default float` | `rowColumn​(int row, int column)` |

- - ### Method Detail

    - #### r0c0

          @Parameter(order=0)
          float r0c0​()

      Returns:
        The value at row 0 column 0

    - #### r0c1

          @Parameter(order=1)
          float r0c1​()

      Returns:
        The value at row 0 column 1

    - #### r0c2

          @Parameter(order=2)
          float r0c2​()

      Returns:
        The value at row 0 column 2

    - #### r0c3

          @Parameter(order=3)
          float r0c3​()

      Returns:
        The value at row 0 column 3

    - #### r1c0

          @Parameter(order=4)
          float r1c0​()

      Returns:
        The value at row 1 column 0

    - #### r1c1

          @Parameter(order=5)
          float r1c1​()

      Returns:
        The value at row 1 column 1

    - #### r1c2

          @Parameter(order=6)
          float r1c2​()

      Returns:
        The value at row 1 column 2

    - #### r1c3

          @Parameter(order=7)
          float r1c3​()

      Returns:
        The value at row 1 column 3

    - #### r2c0

          @Parameter(order=8)
          float r2c0​()

      Returns:
        The value at row 2 column 0

    - #### r2c1

          @Parameter(order=9)
          float r2c1​()

      Returns:
        The value at row 2 column 1

    - #### r2c2

          @Parameter(order=10)
          float r2c2​()

      Returns:
        The value at row 2 column 2

    - #### r2c3

          @Parameter(order=11)
          float r2c3​()

      Returns:
        The value at row 2 column 3

    - #### r3c0

          @Parameter(order=12)
          float r3c0​()

      Returns:
        The value at row 3 column 0

    - #### r3c1

          @Parameter(order=13)
          float r3c1​()

      Returns:
        The value at row 3 column 1

    - #### r3c2

          @Parameter(order=14)
          float r3c2​()

      Returns:
        The value at row 3 column 2

    - #### r3c3

          @Parameter(order=15)
          float r3c3​()

      Returns:
        The value at row 3 column 3

    - #### rowColumn

          default float rowColumn​(int row,
                                  int column)

      Specified by:
        `rowColumn` in interface `MatrixReadableFType`
      Parameters:
        `row` - The row, starting at 0
        `column` - The column, starting at 0
      Returns:
        The value at row `row`, column `column`

Copyright © 2017 <code@io7m.com> http://io7m.com